Users

Get User Campaigns

GET
/users/{userId}/campaigns

Authorization

appToken read
AuthorizationBearer <token>

App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.

In: header

Scope: read

Path Parameters

userId*string
userId*string

Header Parameters

X-B2Core-Origin-Host?string

Host of the B2Core front the partner is logged in on (from the browser Origin). When it is listed in ADS_LINK_ALLOWED_HOSTS, referral link URIs in the response are built on this host; otherwise on ADS_LINK_HOST.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/users/string/campaigns"
{  "total": 0,  "campaigns": [    {      "campaignId": "string",      "name": "string",      "uri": "http://example.com",      "utmCampaign": "string",      "utmContent": "string",      "utmMedium": "string",      "utmSource": "string",      "utmTerm": "string",      "linkId": "string",      "userId": "string",      "link": {        "linkId": "string",        "name": "string",        "uri": "http://example.com"      },      "createTime": "2019-08-24T14:15:22Z",      "updateTime": "2019-08-24T14:15:22Z"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}